Subject: delete-window means "get out of my face" even for sole window

From: [email-masked]
Date: Sat, 21 Jun 2008 17:29:50 +0800

Ah, why of course: C-x 0 (delete-window) issued when there is only one
window, should reveal the next best buffer.

Why? Because when the user types C-x 0, he is saying "get out of my
face", and emacs should do what he means. Indeed, it should be just
like he hit C-x b RET, picking the default buffer prompted with.
(I say don't prompt him on C-x 0, but you could if you insist.)

And don't bury the old buffer, just move it one down in the list.

Currently C-x 0 gives
"Attempt to delete minibuffer or sole ordinary window"

I am only discussing "sole ordinary window". As far as deleting the
minibuffer, that should still be illegal.